package net.northking.cctp.project.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * @Description: TODO
 * @Author: baoxt
 * @@CreateDate: 2023-09-01
 */
@Configuration
@ConfigurationProperties(prefix = "cctp.task.sync")
public class TaskSyncConfig {
    private String atsProjectSyncCron;

    private String projectTeamSyncCron;

    private String operProjectSyncCron;

    private String tenantId;

    public String getAtsProjectSyncCron() {
        return atsProjectSyncCron;
    }

    public void setAtsProjectSyncCron(String atsProjectSyncCron) {
        this.atsProjectSyncCron = atsProjectSyncCron;
    }

    public String getProjectTeamSyncCron() {
        return projectTeamSyncCron;
    }

    public void setProjectTeamSyncCron(String projectTeamSyncCron) {
        this.projectTeamSyncCron = projectTeamSyncCron;
    }

    public String getOperProjectSyncCron() {
        return operProjectSyncCron;
    }

    public void setOperProjectSyncCron(String operProjectSyncCron) {
        this.operProjectSyncCron = operProjectSyncCron;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }
}
